image: docker:latest

stages:
  - docker_build_and_push
  - docker_deploy

docker_build_and_push:
  stage: docker_build_and_push
  services:
    - docker:dind
  before_script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
  script:
    - docker build --pull -t "$CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG" .
    - docker push "$CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG"

#docker_deploy:
#  # Official docker image.
#  stage: docker_deploy
#  services:
#    - docker:dind
#  before_script:
#    - apk add openssh-client
#    - eval $(ssh-agent -s)
#    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
#    - echo "$SSH_PRIVATE_KEY_JUMP" | tr -d '\r' | ssh-add -
#    - mkdir -p ~/.ssh
#    - chmod 700 ~/.ssh
#  script:
#    - ssh -o StrictHostKeyChecking=no -t $SERVER_IP /bin/bash -ic "..."
#  cache: {}
